Package org.linphone.core

# Enum Class Conference.Layout

java.lang.Object
java.lang.Enum<Conference.Layout>
org.linphone.core.Conference.Layout

All Implemented Interfaces:
  `Serializable`, `Comparable<Conference.Layout>`, `Constable`

Enclosing interface:
  `Conference`

public static enum Conference.Layout extends Enum<Conference.Layout>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ActiveSpeaker`
Active speaker - participant who speaks is prominently displayed in the center
of the screen and other participants are minimized.
`Grid`
Grid - each participant is given an equal sized image size.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static Conference.Layout`
`fromInt(int value)`
`int`
`toInt()`
`static Conference.Layout`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Conference.Layout[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Grid

public static final Conference.Layout Grid
Grid - each participant is given an equal sized image size.

### ActiveSpeaker

public static final Conference.Layout ActiveSpeaker
Active speaker - participant who speaks is prominently displayed in the center
of the screen and other participants are minimized.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static Conference.Layout[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Conference.Layout valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static Conference.Layout fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()